import os

# Use environment variable if set, else default
_env_unique_id = os.environ.get("PBRR_UNIQUE_ID")
_is_ensemble = os.environ.get("IS_ENSEMBLE", "False").lower() in ("true")
_modify_proxy_reward = os.environ.get("MODIFY_PROXY_REWARD", "True").lower() in ("true")
if _env_unique_id is not None:
	try:
		_env_unique_id = int(_env_unique_id)
	except Exception:
		raise ValueError("PBRR_UNIQUE_ID must be an integer")
	state = {"unique_id": _env_unique_id, "set": True, "is_ensemble": _is_ensemble, "modify_proxy_reward": _modify_proxy_reward}
else:
	#state = {"unique_id": -1111, "set": False, "is_ensemble": False}
	raise ValueError("PBRR_UNIQUE_ID must be set as an environment variable")
